Subject: [tsvwg] Fwd: Re: New Version Notification for draft-jones-tsvwg-transport-for-satellite-00.txt

From: "Tom Jones" <[email-masked]>
Date: Mon, 22 Feb 2021 18:17:06 +0000

----- Original message -----
From: Tom Jones <[email-masked]>
Cc: Emile Stephan <[email-masked]>, Godred Fairhurst <[email-masked]>, John Border <[email-masked]>, Nicolas Kuhn <[email-masked]>
Subject: Re: New Version Notification for draft-jones-tsvwg-transport-for-satellite-00.txt
Date: Monday, February 22, 2021 17:20

On Mon, Feb 22, 2021 at 09:11:46AM -0800, [email-masked] wrote:
> 
> A new version of I-D, draft-jones-tsvwg-transport-for-satellite-00.txt
> has been successfully submitted by Tom Jones and posted to the
> IETF repository.
> 
> Name:		draft-jones-tsvwg-transport-for-satellite
> Revision:	00
> Title:		Enhancing Transport Protocols over Satellite Networks
> Document date:	2021-02-22
> Group:		Individual Submission
> Pages:		27
> URL:            https://www.ietf.org/archive/id/draft-jones-tsvwg-transport-for-satellite-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-jones-tsvwg-transport-for-satellite/
> Html:           https://www.ietf.org/archive/id/draft-jones-tsvwg-transport-for-satellite-00.html
> Htmlized:       https://tools.ietf.org/html/draft-jones-tsvwg-transport-for-satellite-00
> 
> 
> Abstract:
>    IETF transport protocols such as TCP, SCTP and QUIC are designed to
>    function correctly over any network path.  This includes networks
>    paths that utilise a satellite link or network.  While transport
>    protocols function, the characteristics of satellite networks can
>    impact performance when using the defaults in standard mechanisms,
>    due to the specific characteristics of these paths.
> 
>    RFC 2488 and RFC 3135 describe mechanisms that enable TCP to more
>    effectively utilize the available capacity of a network path that
>    includes a satellite system.  Since publication, both application and
>    transport layers and satellite systems have evolved.  Indeed, the
>    development of encrypted protocols such as QUIC challenges currently
>    deployed solutions, for satellite systems the capacity has increased
>    and commercial systems are now available that use a range of
>    satellite orbital positions.
> 
>    This document describes the current characterises of common satellite
>    paths and describes considerations when implementing and deploying
>    reliable transport protocols that are intended to work efficiently
>    over paths that include a satellite system.  It discusses available
>    network mitigations and offers advice to designers of protocols and
>    operators of satellite networks.
> 
>                                                                                   
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> 

Hello TSVWG,

We have published a new document on transport protocol considerations
in satellite networks and we would love to hear comments from the
working group. This document is an expansion of the work in
draft-kuhn-quic-4-sat by Nicolas, Emile, John and Gorry.

Our intention with this document is to increase the scope of the
protocols to consider transports more generally from just quic in
quic-4-sat. We see this as a logical update of RFC 2488 (and to some
extent RFC 2760) to include advancements in both transport protocol
design and satellite networks.

We look forward to hearing any feedback the working group has on this
document and any contributions you might be able to make to fill out
some of the thinner sections.

We are happy to take comments on this mailing list, directly by email or
as pull requests or issues on the documents github repository.

https://github.com/uoaerg/draft-jones-transport-for-satellite

- Tom